=== debian/changelog ===
librabbitmq (0.9.0-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Runtime-depend on libssl-dev (Closes: #911953)
  * Disable new test_basic file, requires an active AMQP instance during
    build. (Closes: #911693)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Dec 2018 14:59:40 +0100

librabbitmq (0.9.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Update Vcs-* links
  * New upstream version 0.9.0
  * Rebase patches for librabbitmq 0.9.0
  * Update librabbitmq4.symbols file
  * Replace old manual dbg package with auto dbgsym packages

 -- Ondřej Surý <ondrej@debian.org>  Mon, 01 Oct 2018 12:54:12 +0000
