## librabbitmq 0.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,9 +16,9 @@
 # 3. If any interfaces have been added since the last public release, then increment age.
 # 4. If any interfaces have been removed since the last public release, then set age to 0.
 
-set(RMQ_SOVERSION_CURRENT   7)
+set(RMQ_SOVERSION_CURRENT   8)
 set(RMQ_SOVERSION_REVISION  0)
-set(RMQ_SOVERSION_AGE       3)
+set(RMQ_SOVERSION_AGE       4)
 
 math(EXPR RMQ_SOVERSION_MAJOR "${RMQ_SOVERSION_CURRENT} - ${RMQ_SOVERSION_AGE}")
 math(EXPR RMQ_SOVERSION_MINOR "${RMQ_SOVERSION_AGE}")
