=== debian/changelog ===
librabbitmq (0.10.0-1ubuntu2) jammy; urgency=medium

  * d/p/server-flag-deprecation.patch:
    add patch to fix issue parsing hostname in --server flag.
    (LP: #1888313)

 -- Jess Jang <jess.jang@canonical.com>  Thu, 03 Feb 2022 14:30:36 -0600

librabbitmq (0.10.0-1ubuntu1) jammy; urgency=medium

  * d/p/ssl-remove-reference-to-FIPS_set_mode.patch: backported
    to fix the build against OpenSSL 3.0 (LP: #1945812)

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 17 Nov 2021 14:22:23 +0100

librabbitmq (0.10.0-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:17:49 +0200

librabbitmq (0.10.0-1) unstable; urgency=high

  * New upstream release, fixing CVE-2019-18609 (Closes: #946005).
  * Refresh patches.
  * Update symbols for librabbitmq4.
  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.1.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable hardening build options.
  * Rename Expat as name for license.
  * Remove unused lintian overrides.
  * Set Rules-Requires-Root: no.
  * Use https:// for copyright-format 1.0 URL.
  * Remove unused filename patterns from d/copyright.
  * Set Build-Depends-Package in symbols file.

 -- Michael Fladischer <fladi@debian.org>  Sat, 11 Jan 2020 20:13:36 +0100
