=== debian/changelog ===
librabbitmq (0.11.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:57:24 +0000

librabbitmq (0.11.0-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:27:06 +0000

librabbitmq (0.11.0-1) unstable; urgency=low

  * New upstream release (Closes: #1004590, #1006244).
  * Add debian/gbp.conf.
  * Update d/watch to work with github again.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Update year in d/copyright.
  * Install cmake files in librabbitmq-dev.
  * Update symbols for librabbitmq4.
  * Refresh patches and re-export with gbp numbering.
  * Add patch to fix typo in amqp-publish.1 manpage.
  * Install examples in librabbitmq-dev.
  * Add d/upstream/metadata.
  * Use uscan version 4.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Mon, 21 Feb 2022 22:42:45 +0000
