=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  Brian May <bam@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  docbook-to-man,
  libpopt-dev,
  libssl-dev,
  libtool,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/alanxz/rabbitmq-c
 Vcs-Git: https://salsa.debian.org/debian/librabbitmq.git
 Vcs-Browser: https://salsa.debian.org/debian/librabbitmq
